package com.skywang.control;

import android.os.Bundle;
import android.app.Activity;
import android.widget.RadioButton;
import android.widget.Toast;
import android.view.View;
import android.view.View.OnClickListener;
import android.util.Log;

public class RadioButtonTest extends Activity implements View.OnClickListener{
	private static final String TAG="SKYWANG";

	private RadioButton mRadioOne;
	private RadioButton mRadioTwo;
	private RadioButton mRadioThree;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.radio_button_test);
        
        // RadioButton one
        mRadioOne = (RadioButton) findViewById(R.id.radio_one);
        mRadioOne.setOnClickListener(this);

        // RadioButton two
        mRadioTwo = (RadioButton) findViewById(R.id.radio_two);
        mRadioTwo.setOnClickListener(this);

        // RadioButton three        
        mRadioThree = (RadioButton) findViewById(R.id.radio_three);
        mRadioThree.setOnClickListener(this);
    }
    
    @Override
    public void onClick(View v) {
    	boolean checked = ((RadioButton) v).isChecked();
    	switch (v.getId()) {
	    	case R.id.radio_one:{
	    		Toast.makeText(getApplicationContext(), getString(R.string.text_one), Toast.LENGTH_LONG).show();
	    		break;    	
	    	}
	    	case R.id.radio_two:{
	    		Toast.makeText(getApplicationContext(), getString(R.string.text_two), Toast.LENGTH_LONG).show();
	    		break;
	    	}
	    	case R.id.radio_three:{
	    		Toast.makeText(getApplicationContext(), getString(R.string.text_three), Toast.LENGTH_LONG).show();
	    		break;
	    	}
	    	default:
	    		break;
    	}
    }
}
